Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.btMeasures
Enum BTMutualInformation.DataSource

    java.lang.Object
      java.lang.Enum<BTMutualInformation.DataSource>
          de.jstacs.scoringFunctions.directedGraphicalModels.structureLearning.measures.btMeasures.BTMutualInformation.DataSource

All Implemented Interfaces:
  Serializable, Comparable<BTMutualInformation.DataSource>

Enclosing class:
  BTMutualInformation

    public static enum BTMutualInformation.DataSource

extends Enum<BTMutualInformation.DataSource>

`Enum` defining the possible sources of data to compute the mutual information.

Author:
  Jan Grau

Enum Constant Summary
`BG` Compute mutual information only from background data.
`BOTH` Use both data sets (forground and background data) to compute the mutual information.
`FG` Compute mutual information only from foreground data.

Method Summary
`static BTMutualInformation.DataSource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BTMutualInformation.DataSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FG

    public static final BTMutualInformation.DataSource FG

  Compute mutual information only from foreground data.

### BG

    public static final BTMutualInformation.DataSource BG

  Compute mutual information only from background data.

### BOTH

    public static final BTMutualInformation.DataSource BOTH

  Use both data sets (forground and background data) to compute the mutual information.

Method Detail

### values

    public static BTMutualInformation.DataSource[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BTMutualInformation.DataSource c : BTMutualInformation.DataSource.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BTMutualInformation.DataSource valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD